Get an incident update
curl --request GET \
--url https://api.phare.io/uptime/incidents/{incidentId}/updates/{incidentUpdateId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.phare.io/uptime/incidents/{incidentId}/updates/{incidentUpdateId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phare.io/uptime/incidents/{incidentId}/updates/{incidentUpdateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"state": "unknown",
"content": "We are investigating the issue.",
"id": 1,
"published_at": "2023-11-07T05:31:56Z",
"creator": {
"id": 1,
"type": "user",
"label": "nicolas@phare.io"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "Unauthorized"
}{
"message": "The platform:write permission is required to perform this action."
}{
"message": "Resource not found"
}Incident Updates
Get an incident update
Get an incident update by ID
GET
/
uptime
/
incidents
/
{incidentId}
/
updates
/
{incidentUpdateId}
Get an incident update
Authorizations
Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.
Headers
A project header is required when using an organization-scoped API key.
Example:
1
A project header is required when using an organization-scoped API key.
Example:
"luminous-guiding-tower"
Path Parameters
ID of the incident
ID of the incident update to show
Response
Success, incident update retrieved
Available options:
unknown, investigating, identified, monitoring, resolved Content of the incident update
Example:
"We are investigating the issue."
Incident update ID
Example:
1
Date of publication of the incident update
Creator of the incident update
Show child attributes
Show child attributes
Date of creation for the entity
Date of last update for the entity
Last modified on February 22, 2026
Was this page helpful?